#ifndef INTRO_H
#define INTRO_H

class SoundEngineAlsa;

class Intro
{
  public:
    Intro(SoundEngineAlsa *se, const std::string &pref);
    ~Intro();
    void Redraw(int winw, int winh);
    bool Sustain(float fractiondone, float dt);
  protected:
    const std::string &prefix;
    SoundEngineAlsa *soundengine;
    int graphsz;
    float graphtime;
    float simtime;
    int rev;
    int *revs;
    float curangle;
    float *angles;
    static const int SNAPS=8;
};

#endif

